# InSpec test for recipe kosmos_rsk::rskj

# The Chef InSpec reference, with examples and extensive documentation, can be
# found at https://docs.chef.io/inspec/resources/

describe user('rsk') do
  it { should exist }
end

describe package('rskj') do
  it { should be_installed }
  its('version') { should eq '2.2.0~focal' }
end

describe service('rsk') do
  it { should be_enabled }
  it { should be_installed }
  it { should be_running }
end

describe port(4444) do
  it { should be_listening }
end
